%global momorel 5

Summary: Bluecurve icon theme
Name: bluecurve-icon-theme
Version: 8.0.2
Release: %{momorel}m%{?dist} 
BuildArch: noarch
License: GPL
Group: User Interface/Desktops
# There is no official upstream yet
Source0: %{name}-%{version}.tar.bz2
URL: http://www.redhat.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: gtk2-common
Requires: system-logos
# we require XML::Parser for our in-tree intltool
BuildRequires: perl(XML::Parser)

%description
This package contains Bluecurve style cursors and icons.

%prep
%setup -q 

%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# The upstream packages may gain po files at some point in the near future
%find_lang %{name} || touch %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Bluecurve
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Bluecurve || :
fi

%postun
touch --no-create %{_datadir}/icons/Bluecurve
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Bluecurve || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_datadir}/icons/Bluecurve
%{_datadir}/icons/Bluecurve-inverse
%{_datadir}/icons/LBluecurve
%{_datadir}/icons/LBluecurve-inverse

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.0.2-5m)
- rebuild against rpm-4.6

* Fri May 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.0.2-4m)
- remove %%{_datadir}/pixmaps/*.png
- these icons are provided by fedora-icon-theme
- remove Provides and Obsoletes: redhat-artwork
- fedora-gnome-theme Provides and Obsoletes: redhat-artwork

* Tue May 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.0.2-3m)
- add %%{_datadir}/pixmaps/*.png
- Momonga's customized KDE4 menu is using these icons

* Tue May 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.0.2-2m)
- Provides and Obsoletes: redhat-artwork

* Sun May 18 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.0.2-1m)
- import from Fedora to Momonga

* Mon Apr  7 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 8.0.2-1
- Add some symlinks to make Bluecurve work well with KDE 4 (#408151)

* Fri Feb  1 2008 Matthias Clasen <mclasen@redhat.com> - 8.0.1-1
- Fix some lrt <-> ltr typos
- Flip some redo icons

* Fri Oct 12 2007 Ray Strode <rstrode@redhat.com> - 8.0.0-1
- Add a lot of missing icons back (bug 328391)
- redo Bluecurve Makefile to scale better to all the new icons
- bump version to 8.0.0

* Tue Sep 25 2007 Ray Strode <rstrode@redhat.com> - 1.0.0-1
- Initial import, version 1.0.0
